Subject: bug#61179: lambda inside interactive form of around advice isn't a closure

From: Jonas Bernoulli <[email-masked]>
Date: Thu, 02 Feb 2023 15:39:26 +0100

Stefan Monnier <[email-masked]> writes:

>> And now that I have written the above, I should also be able to fall
>> asleep. ;P
>
> I hope your slept well.

My brain no longer saw a need to keep me awake, so yes.  ;)

> The code I sent is, as usual, 100% guaranteed untested, but it
> *should* work modulo silly errors.

I haven't gotten around to play with this approach again yet.
The quote inside the function body seems a bit weird.

     Jonas